Witaj Gościu! ( Zaloguj | Rejestruj )

Forum PHP.pl

 
Reply to this topicStart new topic
> Uruchomienie SQLite extension dla projektu php, Ubuntu 11.10
Juzek
post 6.01.2012, 10:12:43
Post #1





Grupa: Zarejestrowani
Postów: 46
Pomógł: 0
Dołączył: 1.08.2007

Ostrzeżenie: (0%)
-----


Witam.
Chciałbym skorzystać z SQLite w moim projekcie. Zainstalowałem odpowiednie pakiety, phpinfo() wypisuje obecność sqlite itd. Ale na stronie projektu nadal otrzymuję komunikat:

Cannot use SQLite storage because the 'sqlite' extension is not loaded in the current PHP environment.

Jak mogę uruchomić rozszerzenie dla 'tego' środowiska ?

Dziękuję z góry za rady.

Pozdrawiam.

Ten post edytował Juzek 6.01.2012, 11:18:15
Go to the top of the page
+Quote Post
erix
post 6.01.2012, 13:04:53
Post #2





Grupa: Moderatorzy
Postów: 15 467
Pomógł: 1451
Dołączył: 25.04.2005
Skąd: Szczebrzeszyn/Rzeszów




Rozszerzenie SQLite, to nie jest to samo, co moduł SQLite do PDO. A podejrzewam, że korzystasz z tego drugiego.


--------------------

ZCE :: Pisząc PW załączaj LINK DO TEMATU i TYLKO w sprawach moderacji :: jakiś błąd - a TREŚĆ BŁĘDU? :: nie ponaglaj z odpowiedzią via PW!
Go to the top of the page
+Quote Post
Juzek
post 6.01.2012, 13:41:06
Post #3





Grupa: Zarejestrowani
Postów: 46
Pomógł: 0
Dołączył: 1.08.2007

Ostrzeżenie: (0%)
-----


W Synaptic'u widzę, że mam również zainstalowany php5-sqlite, czyli to co pozostaje na liście po wpisaniu słowa PDO.

Trochę więcej szczegółów, które mogą okazać się przydatne:
Projekt jest pisany w Zend,
błąd jest zwracany z Zend_Cache_Backend_Sqlite,
po ustawieniu resources.db.adapter = "PDO_SQLITE" mogę dowolnie wywoływać błędy Sqlite np syntaxy w zapytaniach, co podpowiada mi, że Zend widzi i może skorzystać z Sqlite.
Go to the top of the page
+Quote Post
erix
post 6.01.2012, 19:25:56
Post #4





Grupa: Moderatorzy
Postów: 15 467
Pomógł: 1451
Dołączył: 25.04.2005
Skąd: Szczebrzeszyn/Rzeszów




Cytat
W Synaptic'u widzę, że mam również zainstalowany php5-sqlite, czyli to co pozostaje na liście po wpisaniu słowa PDO.

Od kiedy to menedżer pakietów jest ważniejszy od phpinfo? Nigdy nie instaluję pehapa z pakietów, kompilacja nie trwa długo, a masz kontrolę nad wszystkim. I pomijam już fakt, że wydajniej działa. tongue.gif


--------------------

ZCE :: Pisząc PW załączaj LINK DO TEMATU i TYLKO w sprawach moderacji :: jakiś błąd - a TREŚĆ BŁĘDU? :: nie ponaglaj z odpowiedzią via PW!
Go to the top of the page
+Quote Post
Juzek
post 8.01.2012, 20:21:16
Post #5





Grupa: Zarejestrowani
Postów: 46
Pomógł: 0
Dołączył: 1.08.2007

Ostrzeżenie: (0%)
-----


Na wirtualnej maszynie postawiłem Mandarynkę, lista Synaptica identyczna. Na Mandarynce działa bez problemu. Dodatkowo na 11.10 zainstalowałem wersję sqlite ze strony producenta wg instrukcji z archiwum, efekt ten sam - nie działa. Szkoda, że kolejne dystrybucje ubuntu przypominają kolejne wersje windowsów - wygląd ponad niezawodność i użyteczność.
Go to the top of the page
+Quote Post
piotrooo89
post 8.01.2012, 20:43:03
Post #6


Newsman


Grupa: Moderatorzy
Postów: 4 005
Pomógł: 548
Dołączył: 7.04.2008
Skąd: Trzebinia/Kraków




a masz w php.ini ustawione odpowiednie extension?


--------------------
Go to the top of the page
+Quote Post
erix
post 8.01.2012, 21:56:58
Post #7





Grupa: Moderatorzy
Postów: 15 467
Pomógł: 1451
Dołączył: 25.04.2005
Skąd: Szczebrzeszyn/Rzeszów




Cytat
Na Mandarynce działa bez problemu. Dodatkowo na 11.10 zainstalowałem wersję sqlite ze strony producenta wg instrukcji z archiwum, efekt ten sam - nie działa. Szkoda, że kolejne dystrybucje ubuntu przypominają kolejne wersje windowsów - wygląd ponad niezawodność i użyteczność.

Skompiluj sobie pehapa, to nie boli, a będziesz miał z głowy wiele problemów.


--------------------

ZCE :: Pisząc PW załączaj LINK DO TEMATU i TYLKO w sprawach moderacji :: jakiś błąd - a TREŚĆ BŁĘDU? :: nie ponaglaj z odpowiedzią via PW!
Go to the top of the page
+Quote Post

Reply to this topicStart new topic
1 Użytkowników czyta ten temat (1 Gości i 0 Anonimowych użytkowników)
0 Zarejestrowanych:

 



RSS Wersja Lo-Fi Aktualny czas: 16.10.2019 - 21:04